from uuid import UUID

import pydantic


class ArticleSchema(pydantic.BaseModel):
    name: str
    description: str
    author_id: UUID

    
class ArticleGetSchema(pydantic.BaseModel):
    id: UUID | None = pydantic.Field(None)
    name: str | None = pydantic.Field(None)
    description: str | None = pydantic.Field(None)
    
    
class ArticleUpdateSchema(pydantic.BaseModel):
    name: str | None = pydantic.Field(None)
    description: str | None = pydantic.Field(None)
